Subject: bug#15575: 24.3.50; New tty menus crash Emacs

From: martin rudalics <[email-masked]>
Date: Fri, 11 Oct 2013 11:55:05 +0200

I have a similar problem on Windows XP.  Since I never work with -nw I
have no idea how to debug this.  Below is a translation of a backtrace
made via

addr2line -e "c:/emacs/trunk/src/emacs.exe" < "c:/temp/emacs_backtrace.txt" -a -p -s -f

martin

0x00000000: ??
??:0
0x00000bac: ??
??:0
0x011e5743: w32_backtrace at w32fns.c:7965
0x011e57b6: emacs_abort at w32fns.c:7997
0x010de773: terminate_due_to_signal at emacs.c:376
0x01150a7c: die at alloc.c:6605
0x01052e96: deep_copy_glyph_row at xdisp.c:20596
0x010530df: display_tty_menu_item at xdisp.c:20648
0x010ca853: tty_menu_display at term.c:2948
0x010cbb49: tty_menu_activate at term.c:3364
0x010cc710: tty_menu_show at term.c:3741
0x0107107d: Fx_popup_menu at menu.c:1449
0x010f0160: read_char_x_menu_prompt at keyboard.c:8422
0x010e51ce: read_char at keyboard.c:2771
0x010f16dd: read_key_sequence at keyboard.c:9115
0x010e249e: command_loop_1 at keyboard.c:1431
0x0116b67e: internal_condition_case at eval.c:1331
0x010e1dd4: command_loop_2 at keyboard.c:1158
0x0116ac41: internal_catch at eval.c:1097
0x010e1d8e: command_loop at keyboard.c:1137
0x010e1545: recursive_edit_1 at keyboard.c:776
0x010e1701: Frecursive_edit at keyboard.c:840
0x010dfa9e: main at emacs.c:1577
0x010010b5: __mingw_CRTStartup at crt1.c:244
0x01001280: mainCRTStartup at crt1.c:264
0x011ac4a9: _start at unexw32.c:117
0x7c816fd3: ??
??:0